import request from '@/utils/request'

// 00 生涯课程类型
export function getCareerVideoTypes(params) {
    return request({
        url: '/front/sykc/types',
        autoFitNoToken: true,
        method: 'get',
        params: params
    })
}

// 01 生涯课程列表
export function getCareerVideoList(params) {
    return request({
        url: '/front/sykc/list',
        autoFitNoToken: true,
        method: 'get',
        params: params
    })
}

// 02 生涯课程详情
export function info(params) {
    return request({
        url: '/front/sykc/info',
        method: 'get',
        params: params
    })
}

/**
 * 查询院校列表数据筛选项
 */
export function selectUniversity() {
    return request({
        url: `/front/university/filters`,
        method: 'get'
    })
}

/**
 * 查询院校列表数据筛选项
 */
export function universityFilters() {
    return request({
        url: `/front/university/filters`,
        method: 'get'
    })
}

/**
 * 点击详情增加点击量
 */
export function saveUniversitiesHits(params) {
    return request({
        url: `/front/university/saveUniversitiesHits`,
        method: 'post',
        params: params
    })
}

/**
 * 院校列表
 */
export function selectUniversityList(params) {
    return request({
        url: `/front/university/list`,
        method: 'get',
        autoFitNoToken: true,
        params: params
    })
}

/**
 * 查询院校详情
 */
export function selectUniversityDetail(params) {
    return request({
        url: `/front/university/detail`,
        method: 'get',
        params: params
    })
}

//  是否为新高考
export function isNewCollegeExam(params) {
    return request({
        url: '/front/syzy/zytb/getUserIsUseNewCollegeEntranceExam',
        method: 'get',
        params: params
    })
}

// 招生简章
export function enrollBrochure(params) {
    return request({
        url: '/front/university/getUniversitiesEnrollBrochure',
        method: 'get',
        params: params
    })
}

// 院校风采
export function universitiesStyle(params) {
    return request({
        url: '/front/university/getUniversitiesStyle',
        method: 'get',
        params: params
    })
}

// 保存招生简章热度/点击
export function saveEnrollBrochureHits(params) {
    return request({
        url: '/front/university/saveUniversitiesEnrollBrochureHits',
        method: 'post',
        params: params
    })
}

// 获取学科评估类型
export function evaluateType(params) {
    return request({
        url: '/system/dict/data/type/subject_evaluate_type',
        method: 'get',
        params: params
    })
}

// 排名筛选
export function rankingFilter(params) {
    return request({
        url: '/front/university/getUniversitiesRankingFilter',
        method: 'get',
        params: params
    })
}

// 排名列表
export function universitiesRanking(params) {
    return request({
        url: '/front/university/getUniversitiesRanking',
        autoFitNoToken: true,
        method: 'get',
        params: params
    })
}

// 专业开设院校
export function getUniversityByCode(params) {
    return request({
        url: '/front/major/getUniversityByCode',
        method: 'get',
        params: params
    })
}

// 根据分数和科类获取位次
export function getRankByScore(params) {
    return request({
        url: '/front/syzy/yfyd/getRankByScore',
        method: 'get',
        params: params
    })
}


//  职业兴趣测评 01 测试步骤
export function hollSteps(params) {
    return request({
        url: '/front/syzy/holland/steps',
        method: 'get',
        params: params
    })
}

//  职业兴趣测评 02 步骤题目
export function hollStepsQuestions(params) {
    return request({
        url: '/front/syzy/holland/questions',
        method: 'get',
        params: params
    })
}

//  职业兴趣测评 03 保存测试
export function hollSaveHolland(params) {
    return request({
        url: '/front/syzy/holland/save',
        method: 'post',
        data: params
    })
}

//  职业兴趣测评 04 测评记录
export function hollRecord(params) {
    return request({
        url: '/front/syzy/holland/record',
        method: 'get',
        params: params
    })
}

//  职业兴趣测评 05 测评详情
export function hollDetail(params) {
    return request({
        url: '/front/syzy/holland/record/detail',
        method: 'get',
        params: params
    })
}

//  职业性格测评 01 测试步骤
export function mbtiSteps(params) {
    return request({
        url: '/front/syzy/mbti/steps',
        method: 'get',
        params: params
    })
}

//  职业性格测评 02 步骤题目
export function mbtiStepsQuestions(params) {
    return request({
        url: '/front/syzy/mbti/questions',
        method: 'get',
        params: params
    })
}

//  职业性格测评 03 保存测试
export function mbtiSave(query) {
    return request({
        url: '/front/syzy/mbti/save',
        method: 'post',
        data: query
    })
}

//  职业性格测评 04 测评记录
export function mbtiRecord(params) {
    return request({
        url: '/front/syzy/mbti/record',
        method: 'get',
        params: params
    })
}

//  职业性格测评 05 测评详情
export function mbtiDetail(params) {
    return request({
        url: '/front/syzy/mbti/record/detail',
        method: 'get',
        params: params
    })
}

// 推荐专业
export function mbtiRecommendMajors(params) {
    return request({
        url: '/front/syzy/mbti/majors',
        method: 'get',
        params
    })
}